Office365 als Mailprovider erfordert STARTTLS

Hast du einen Fehler in der aktuellen Version gefunden ? Diesen kannst du uns hier mitteilen und uns bei der Fehlersuche helfen.
Antworten
thomasb
Beiträge: 69
Registriert: 28. Okt 2011, 10:34

Office365 als Mailprovider erfordert STARTTLS

Beitrag von thomasb »

Hi,
unsere Maildomain wurde auf Microsoft Office 365 umgestellt. Ich nutze Admidio 3.3.9.
Die Vorgaben von Microsoft für SMTP Versand sind:
Servername: smtp.office365.com
Port: 587
Verschlüsselungsmethode: STARTTLS

Leider kann ich STARTTLS in der Admidio Konfiguration nicht auswählen, würde aber gerne die SMTP Mail Variante verwenden.
(Mit PHP Mail funktioniert es grundsätzlich auch, jedoch wäre mir die SMTP Variante lieber)

Gibt es eine Chance STARTTLS als Verschlüsselungsmethode hineinzubekommen?

viele Grüße
Thomas
Benutzeravatar
fasse
Administrator
Beiträge: 4877
Registriert: 12. Nov 2005, 16:06

Re: Office365 als Mailprovider erfordert STARTTLS

Beitrag von fasse »

Hallo Thomas,

hast du als Verschlüsselung auch TLS ausgewählt?

STARTTLS ist eigentlich nicht der Authentifizierungstyp. Siehe auch https://stackoverflow.com/questions/477 ... ding-email

Gruß
Fasse
thomasb
Beiträge: 69
Registriert: 28. Okt 2011, 10:34

Re: Office365 als Mailprovider erfordert STARTTLS

Beitrag von thomasb »

Hallo Fasse,

Ich habe das sowohl mit outlook, als auch in Admidio bereits getestet. Leider erlaubt Office 365 nur mehr STARTTLS.
Mailversand über PHP funktioniert zwar - die Mails landen aber alle im Spam.

Lg Thomas
thomasb
Beiträge: 69
Registriert: 28. Okt 2011, 10:34

Re: Office365 als Mailprovider erfordert STARTTLS

Beitrag von thomasb »

Gibt es hier die Aussicht, dass zukünftig STARTTLS unterstützt werden wird?
Benutzeravatar
fasse
Administrator
Beiträge: 4877
Registriert: 12. Nov 2005, 16:06

Re: Office365 als Mailprovider erfordert STARTTLS

Beitrag von fasse »

Hallo Thomas,

ich habe gerade noch einmal ein bischen gegoogled und dabei kommt eigentlich raus, dass STARTTLS automatisch genutzt wird, wenn du die Verchhlüsselung auf TLS setzt und der Server das unterstützt. Es gibt noch einen Hinweis über den ich gestolpert bin, dass ab PHP 5.6 das Zertifikat des Servers gültig sein muss.

Gruß
Fasse
Antworten